Skip to content
Docs

API reference / Operations by tag

ledger

Double-entry ledger entries and balances.

2 operations. Base URL https://api.metrixed.com/v1; see authentication, errors and pagination.

Operations

MethodPathSummary
GET/ledger/balancesBalances
GET/ledger/entriesLedger entries

GET /ledger/balances

Balances

Operation getLedgerBalances. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
pagequeryintegerno
page_sizequeryintegerno
sortquerystringnofield or -field
includequerystringnocomma-separated relationships
filterqueryobject (free-form)no
qquerystringnofree-text search
StatusDescriptionBody
200okapplication/json LedgerBalanceList
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/ledger/balances?page=1&page_size=50' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "data": [
    {}
  ]
}

GET /ledger/entries

Ledger entries

Operation getLedgerEntries. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
pagequeryintegerno
page_sizequeryintegerno
sortquerystringnofield or -field
includequerystringnocomma-separated relationships
filterqueryobject (free-form)no
qquerystringnofree-text search
StatusDescriptionBody
200okapplication/json LedgerEntryList
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/ledger/entries?page=1&page_size=50' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "data": [
    {}
  ],
  "page": {}
}